% ex_plt_3d.m
% Eksempler for plotting av tre-dimensjonale figurer

ex_text=['iex=1: klassisk sombrero eksempel med MESHGRID og MESH.'
         'iex=2: klassisk sombrero eksempel med MESHGRID OG SURF.'
         'iex=3: Top-dal eksempel med MESGRID og SURF.           '
         'iex=4: Top-dal eksempel med FOR loekker og SURF        '
         'iex=5: Banana-shaped valley funksjon med FOR loekker   '];
disp(ex_text)
  
iex=2;
iex=dread('Velg eksempel nr. 1-2-3-4-5',iex);
if iex == 1
   [x,y]=meshgrid(-8:0.5:8);  % Klassisk sombrero eksempel, med MESH.
   r=sqrt(x.^2+y.^2)+eps;
   z=sin(r)./r;
   mesh(x,y,z)                % eller bare, mesh(z) !
elseif iex == 2
   [x,y]=meshgrid(-8:0.5:8);  % Klassisk sombrero eksempel, med SURF.
   r=sqrt(x.^2+y.^2)+eps;
   z=sin(r)./r;
   surf(x,y,z)    
elseif iex==3                 % Topp-dal eksempel med SURF og MESGRID.           
   [x,y]=meshgrid(-2:0.2:3);
   z=x.*exp(-x.^2-y.^2);
   surf(x,y,z)
elseif iex ==4                % Som iex=3 men kanskje mer forklarende.
   x=-2:0.2:3; n=length(x);
   y=-2:0.2:4; m=length(y);
   z=zeros(m,n);
   for j=1:m
      for i=1:n
         z(j,i)=x(i)*exp(-x(i)^2-y(j)^2);
      end
   end
   surf(x,y,z);
elseif iex ==5                % Banana-shaped valey
   x=-2:0.2:3; n=length(x);
   y=-2:0.2:4; m=length(y);
   z=zeros(m,n);
   for j=1:m
      for i=1:n
         X=[x(i);y(j)];
         J=banana([],X);
         z(j,i)=J;
      end
   end
   surf(x,y,z);
   
   
end

   