function J=obfunc(g)
% OBFUNC
% Obfunc beregner kriterieverdien 
% J=int_0^7 (x'*Qx+u'*P*u) dt
% der
% dot(x)=ax+bu, u=gx, x(t=0)=x0.
% Parametre: a=-0.1, b=1, q=1, p=1, x0=5.
a=-0.1; b=1; x0=5;         % systemparametre.
q=10; p=1;                  % vektparametre i kriteriet.

imet=2;

if imet == 1               % Numerisk kriteriefunksjon.
h=0.005;                   % Skrittlengde.
t=0:h:7;                   % Oppdeling av tidsaksen.
N=length(t);               % Lengden av vektoren t.

J=0;                       % Integrerer kriteriet med eksplisitt Eulers metode.
for i=1:N 
   x=exp((a+b*g)*t(i))*x0; % Tilstanden, x(t), dvs. x ved tidspunkt t.
   L=x'*(q+g'*p*g)*x;      % Funksjon under integral-tegnet (integranden).
   J=J+h*L;                % eksplisitt Euler step.
end

elseif imet == 2           % Analytisk kriteriefunksjon.
   tf=7;
   Wo=(q+p*g^2)*(exp(2*(a+b*g)*tf)-1)/(2*(a+b*g));
   J=x0'*Wo*x0;   
end