function J=obfunc2(g)
% OBFUNC2
% Obfunc beregner kriterieverdien 
% J=int_0^7 (x'*Qx+u'*P*u) dt
% der
% dot(x)=Ax+Bu, u=Gx, x(t=0)=x0.
% Parametre: global a, b, q, p, x0, h, t, N
% Merk: dette er en mer generell versjon av OBFUNC.M
% Se tilhoerende hovedscript, MAIN_OBFUNC2.M

global a b q p x0 h t N
J=0;                       % Integrerer kriteriet med eksplisitt Eulers metode.
for i=1:N 
   x=expm((a+b*g)*t(i))*x0; % Tilstanden, x(t), dvs. x ved tidspunkt t.
   L=x'*(q+g'*p*g)*x;      % Funksjon under integral-tegnet (integranden).
   J=J+h*L;                % eksplisitt Euler step.
end
% END OBFUNC2
